Name:           python-pyasn1
Version:        0.4.8
Release:        3
Summary:        ASN.1 library for Python
License:        BSD
Source0:        https://github.com/etingof/pyasn1/archive/v%{version}.tar.gz
URL:            http://pyasn1.sourceforge.net/
BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-unversioned-command python3-sphinx libffi

%description
Abstract Syntax Notation One (ASN.1) is a technology for exchanging structured data
in a universally understood, hardware agnostic way. Many industrial, security and
telephony applications heavily rely on ASN.1.
The pyasn1 library implements ASN.1 support in pure-Python.

%package -n     python3-pyasn1
Summary:        Pyasn1 in python 3
%{?python_provide:%python_provide python3-pyasn1}

%description -n python3-pyasn1
Pyasn1 in python 3.

%package        help
Summary:        Documentation for python-pyasn1
BuildRequires:  python3-sphinx
Provides:       python-pyasn1-doc
Obsoletes:      python-pyasn1-doc

%description    help
Documentation for python-pyasn1.

%prep
%autosetup -n pyasn1-%{version}
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
cd %{py3dir}
%{__python3} setup.py build
cd -

%install
cd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
cd -

cd docs
PYTHONPATH="$RPM_BUILD_ROOT%{python_sitelib}:$PYTHONPATH" make html
rm -f build/html/.buildinfo
cd -

%check
cd %{py3dir}
PYTHONPATH="%{buildroot}%{python3_sitelib}:$PYTHONPATH" %{__python3} setup.py test
cd -

%files -n python3-pyasn1
%defattr(-,root,root,-)
%doc README.md
%license LICENSE.rst
%{python3_sitelib}/pyasn1
%{python3_sitelib}/pyasn1-%{version}-*.egg-info/

%files help
%license LICENSE.rst
%doc docs/build/html/*

%changelog
* Fri Oct 30 2020 tianwei<tianwei12@huawei.com> - 0.4.8-3
- remove python2

* Thu Oct 15 2020 Zhipeng Xie<xiezhipeng1@huawei.com> - 0.4.8-2
- delete duplicate pyasn1-modules

* Thu Oct 15 2020 Zhipeng Xie<xiezhipeng1@huawei.com> - 0.4.8-1
- upgrade to v0.4.8

* Thu Feb 20 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.3.7-8
- Revise build requires of python-sphinx

* Tue Jan 21 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.3.7-7
- Revise build requires

* Thu Jan 16 2020 Ling Yang <lingyang2@huawei.com> - 0.3.7-6
- Fixed build error

* Wed Nov 13 2019 dongjian <dongjian13@huawei.com> - 0.3.7-5
- Package init

* Mon Oct 21 2019 Zaiwang Li <lizaiwang1@huawei.com> - 0.3.7-5
- Init Package
